package ru.esc.btqckcmd.service;

import android.bluetooth.BluetoothDevice;

public interface IDiscoverDevice {

	/**
	 * Device scan started.
	 */
	public void onScanStarted();

	/**
	 * Device scan finished.
	 */
	public void onScanFinished();

	/**
	 * Remote device found.
	 * 
	 * @param device
	 *            - found bluetooth device.
	 */
	public void onDeviceDescovered(BluetoothDevice device);
}
