package ru.esc.btqckcmd.service;

import java.util.ArrayList;

public interface IRemoteService {

	/**
	 * Bluetooth devices scan started.
	 */
	public void onScanStarted();

	/**
	 * Bluetooth device is connected.
	 */
	public void onDeviceConnected();

	/**
	 * Bluetooth device was not found during scan.
	 */
	public void onDeviceNotFound();

	public void onDeviceNotFound(ArrayList<String> devicesFound);

	/**
	 * Bluetooth device was not connected during scan.
	 */
	public void onDeviceNotConnected();

	/**
	 * Bluetooth device disconnected.
	 */
	public void onDisconnect();
}
