package ru.esc.btqckcmd.utils;

import android.util.Log;

/**
 * Class used to send logs to LogCat.
 */
final public class MLog {

	/**
	 * Tag for Logs.
	 */
	private final static String TAG = "BTRemote";

	public static final void i(String msg) {
		Log.i(TAG, msg);
	}

	public static final void v(String msg) {
		Log.v(TAG, msg);
	}

	public static final void d(String msg) {
		Log.d(TAG, msg);
	}

	public static final void w(String msg) {
		Log.w(TAG, msg);
	}

	public static final void e(String msg) {
		Log.e(TAG, msg);
	}

	public static final void p(Exception e) {
		Log.e(TAG, "", e);
	}
}
