package ru.esc.btqckcmd.utils;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.preference.PreferenceManager;

public class Pref {
	private static SharedPreferences prefs = null;
	private static Editor editor = null;

	@SuppressLint("CommitPrefEdits")
	static final void ensureInit(Context context) {
		if (prefs == null) {
			prefs = PreferenceManager.getDefaultSharedPreferences(context);
			editor = prefs.edit();
		}
	}

	public static final int buttonCommand(Context context, int which) {
		ensureInit(context);
		return prefs.getInt("button_command_" + which, -1);
	}

	public static final void setButtonCommand(Context context, int which, int value) {
		ensureInit(context);
		editor.putInt("button_command_" + which, value).commit();
	}
}